Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents
Class PageAnnotations

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfArray>
          org.pdfclown.objects.Array<TItem>
              org.pdfclown.documents.PageElements<Annotation>
                  org.pdfclown.documents.PageAnnotations

All Implemented Interfaces:
  Cloneable, Iterable<Annotation>, Collection<Annotation>, List<Annotation>, IPdfObjectWrapper

    @PDF(value=PDF10)
    public final class PageAnnotations

extends PageElements<Annotation>

Page annotations [PDF:1.6:3.6.2].

Since:
  0.0.7
Version:
  0.1.2, 01/04/13
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.objects.Array
`Array.IWrapper<TItem>`

Method Summary
`PageAnnotations` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.

Methods inherited from class org.pdfclown.documents.PageElements
`add, add, getPage, remove, remove`

Methods inherited from class org.pdfclown.objects.Array
`addAll, addAll, clear, contains, containsAll, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, removeAll, retainAll, set, size, subList, toArray, toArray, wrap, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Method Detail

### clone

    public PageAnnotations clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PageElements<Annotation>`
  Parameters:
    `context` - Which document the clone has to be registered in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.